This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 3.255. __nv_remainderf

Prototype:

    float @__nv_remainderf(float %x, float %y)

Description:

Compute double-precision floating-point remainder `r` of dividing `x` by `y` for nonzero `y`. Thus r = x − n y . The value `n` is the integer value nearest x y . In the case when | n − x y | = 1 2 , the even `n` value is chosen.

Returns:

- __nv_remainderf(`x`, 0) returns NaN.

- __nv_remainderf( ± ∞ , `y`) returns NaN.

- __nv_remainderf(`x`, ± ∞ ) returns `x` for finite `x`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes